Subject: [Fot] FOT Decals

From: Joe Alexander <[email-masked]>
Date: Thu, 23 May 2013 11:36:58 -0500

There about 20 decals spoken for.

I would like to do several at once, so if you are thinking about, please go
ahead.

And then I can put the money back in the FOT Fund, too.

It wouldn't hurt thank the 22 folks who recently made contributions to the
fund. This really makes planning and decisions much easier.

While I am at it, if you have an outstanding balance on your Lester Garage
stall, please remit ASAP.

Jason and I reviewed our paddock area last Friday and it continues to seem
ideal.

Thanks,

Joe
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive